javax.naming

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.NamingSecurityException
        - - javax.naming.AuthenticationException

All Implemented Interfaces:
  Serializable

    public class AuthenticationException
    extends NamingSecurityException

This exception is thrown when an authentication error occurs while accessing the naming or directory service. An authentication error can happen, for example, when the credentials supplied by the user program is invalid or otherwise fails to authenticate the user to the naming/directory service.

If the program wants to handle this exception in particular, it should catch AuthenticationException explicitly before attempting to catch NamingException. After catching AuthenticationException, the program could reattempt the authentication by updating the resolved context's environment properties with the appropriate appropriate credentials.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationException()` Constructs a new instance of AuthenticationException.
`AuthenticationException(String explanation)` Constructs a new instance of AuthenticationException using the explanation supplied.

### Method Summary

### Methods inherited from class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthenticationException

    public AuthenticationException(String explanation)

Constructs a new instance of AuthenticationException using the explanation supplied. All other fields default to null.

Parameters:
  `explanation` - A possibly null string containing additional detail about this exception.
See Also:
  `Throwable.getMessage()`

#### AuthenticationException

    public AuthenticationException()

Constructs a new instance of AuthenticationException. All fields are set to null.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.